using Syntriax.Engine.Core;
using Syntriax.Engine.Core.Abstract;

namespace Syntriax.Engine.Physics2D.Abstract;

public interface IRigidBody2D : IBehaviour, IAssignableTransform
{
    IPhysicsMaterial2D Material { get; set; }

    Vector2D Velocity { get; set; }
    float AngularVelocity { get; set; }

    float Mass { get; set; }
}
